# GNUmakefile          Section: 14.2, Cellular Automata & Life
#      Copyright 1994, Center for Computer Vision and Visualization,
#      University of Florida.  All rights reserved.
#
# See comments in  gnumake.iah for description of symbols.

#######################################################################
# Modify the following symbols to control compilation
#######################################################################

BLASTABLE_PTFILES =
CLOSUREOBJS       =

HEADERS = life.h
LOBJS   = life.o

SOURCES	= life.h life.c  test-life.c
TESTS	= test-life

ARL =
EXTRAINCLUDES =
CPPFLAGS =

OUTPUT_OPTION =
TARGET_ARCH   =
XTRAFLAGS     =
XTRACCFLAGS   =

# Make this nothing if you do not want programs striped.
STRIPPROGRAMS = anystring-means-strip--no-string-means-do-not-strip

#######################################################################
include	../../gnumake.iah
#######################################################################

#######################################################################
#####	User program dependencies and rules follow
#######################################################################

life.o:	life.h life.c

test-life:	test-life.o life.o
	${LINK.cc} -o $@ $@.o life.o ${LDLIBS}
	strip $@
